#include <iostream>
#include <vector>
#include <cmath>
using namespace std;
#define ll long long
vector<ll> divisors(ll n) {
    vector<ll> divisors;
    ll sqrt_n = (ll)sqrt(n);
    for (ll i = 1; i <= sqrt_n; ++i) {
        if (n % i == 0) {
            divisors.push_back(i);
            if (i != n / i) {
                divisors.push_back(n / i);
            }
        }
    }
    sort(divisors.begin(), divisors.end());
    return divisors;
}
pair<ll,ll> simulate(ll a,ll b){ // a <= b
    if(a==0||b==0)return {0,0};
    ll k = b/a;
    auto prev = simulate(b%a,a);
    if(k%2==1)swap(prev.first,prev.second);
    return {prev.first+a*a*((k+1)/2),prev.second+a*a*(k/2)};
}
int32_t main() {
    cin.tie(0);
    cin.sync_with_stdio(false);
    cout.tie(0);
    ll s1,s2;
    cin >> s1 >> s2;
    ll s = s1+s2;
    vector<ll> divs = divisors(s);
    for(int i=0;i<divs.size()&&divs[i]<=s/divs[i];i++){
        pair<ll,ll> res = simulate(divs[i],s/divs[i]);
        if(res.first==s1&&res.second==s2){
            cout << divs[i] << ' ' << s/divs[i] << '\n';
            return 0;
        }
    }
    cout << -1 << '\n';
}
