import math

def divisors(n):
    divs = []
    sqrt_n = int(math.sqrt(n))
    for i in range(1, sqrt_n + 1):
        if n % i == 0:
            divs.append(i)
            if i != n // i:
                divs.append(n // i)
    divs.sort()
    return divs

def simulate(a, b):  # a <= b
    if a == 0 or b == 0:
        return (0, 0)
    k = b // a
    prev = simulate(b % a, a)
    if k % 2 == 1:
        prev = (prev[1], prev[0])
    return (prev[0] + a * a * ((k + 1) // 2), prev[1] + a * a * (k // 2))

s1, s2 = map(int, input().split())
s = s1 + s2
divs = divisors(s)

for d in divs:
    if d <= s // d:
        res = simulate(d, s // d)
        if res[0] == s1 and res[1] == s2:
            print(d, s // d)
            break
else:
    print(-1)

